#include WinEvents.H

#define WM_USER_SHNOTIFY			WM_USER + 10

#define SHCNE_RENAMEITEM			0x00000001
#define SHCNE_CREATE				0x00000002
#define SHCNE_DELETE				0x00000004
#define SHCNE_MKDIR					0x00000008
#define SHCNE_RMDIR					0x00000010
#define SHCNE_MEDIAINSERTED			0x00000020
#define SHCNE_MEDIAREMOVED			0x00000040
#define SHCNE_DRIVEREMOVED			0x00000080
#define SHCNE_DRIVEADD				0x00000100
#define SHCNE_NETSHARE				0x00000200
#define SHCNE_NETUNSHARE			0x00000400
#define SHCNE_ATTRIBUTES			0x00000800
#define SHCNE_UPDATEDIR				0x00001000
#define SHCNE_UPDATEITEM			0x00002000
#define SHCNE_SERVERDISCONNECT		0x00004000
#define SHCNE_UPDATEIMAGE			0x00008000
#define SHCNE_DRIVEADDGUI			0x00010000
#define SHCNE_RENAMEFOLDER			0x00020000
#define SHCNE_FREESPACE				0x00040000
#define SHCNE_DISKEVENTS			0x0002381F
#define SHCNE_GLOBALEVENTS			0x0C0581E0 
#define SHCNE_ALLEVENTS				0x7FFFFFFF
#define SHCNE_INTERRUPT				0x80000000 

#define DBT_DEVNODES_CHANGED		0x0007

#define DBT_DEVICEARRIVAL			0x8000		&& system detected a new device
#define DBT_DEVICEQUERYREMOVE		0x8001		&&wants to remove, may fail
#define DBT_DEVICEQUERYREMOVEFAILED	0x8002		&& removal aborted
#define DBT_DEVICEREMOVEPENDING		0x8003		&& about to remove, still avail
#define DBT_DEVICEREMOVECOMPLETE	0x8004		&& device is gone

#define DBT_DEVTYP_OEM				0x00000000	&& oem-defined device type
#define DBT_DEVTYP_DEVNODE			0x00000001	&& devnode number
#define DBT_DEVTYP_VOLUME			0x00000002	&& logical volume
#define DBT_DEVTYP_PORT				0x00000003	&& serial, parallel
#define DBT_DEVTYP_NET				0x00000004	&& network resource
